## ocamlnet 2.2.9

=== examples/nethttpd/Makefile ===
all: easy_daemon easy_reactor easy_engine proxy_engine file_reactor \
     file_mt_reactor file_engine netplex

easy_daemon: easy_daemon.ml
	ocamlfind ocamlc -o easy_daemon -package "netstring,cgi,unix,nethttpd" \
		easy_daemon.ml -linkpkg -g

easy_reactor: easy_reactor.ml
	ocamlfind ocamlc -o easy_reactor -package "netstring,cgi,unix,nethttpd" \
		easy_reactor.ml -linkpkg -g

easy_engine: easy_engine.ml
	ocamlfind ocamlc -o easy_engine -package "netstring,cgi,unix,equeue,nethttpd" \
		easy_engine.ml -linkpkg -g

easy_engine.opt: easy_engine.ml
	ocamlfind ocamlopt -o easy_engine.opt -package "netstring,cgi,unix,equeue,nethttpd" \
		easy_engine.ml -linkpkg

proxy_engine: proxy_engine.ml
	ocamlfind ocamlc -o proxy_engine -package "netstring,cgi,unix,equeue,nethttpd" \
		proxy_engine.ml -linkpkg -g

proxy_engine.opt: proxy_engine.ml
	ocamlfind ocamlopt -o proxy_engine.opt -package "netstring,cgi,unix,equeue,nethttpd" \
		proxy_engine.ml -linkpkg 

file_reactor: file_reactor.ml
	ocamlfind ocamlc -o file_reactor -package "netstring,cgi,unix,nethttpd" \
		file_reactor.ml -linkpkg -g

file_mt_reactor: file_mt_reactor.ml
	ocamlfind ocamlc -o file_mt_reactor -package "netstring,cgi,unix,threads,nethttpd" \
		file_mt_reactor.ml -linkpkg -g -thread

file_mt_reactor.opt: file_mt_reactor.ml
	ocamlfind ocamlopt -o file_mt_reactor.opt -package "netstring,cgi,unix,threads,nethttpd" \
		file_mt_reactor.ml -linkpkg -thread

file_engine: file_engine.ml
	ocamlfind ocamlc -o file_engine -package "netstring,cgi,unix,equeue,nethttpd" \
		file_engine.ml -linkpkg -g

netplex: netplex.ml
	ocamlfind ocamlc -o netplex -package "netstring,netcgi2,unix,nethttpd-for-netcgi2,netplex" \
		-thread netplex.ml -linkpkg -g

clean:
	rm -f *.cmi *.cmo *.cmx *.o
	rm -f test_acceptor easy_daemon easy_reactor easy_engine easy_engine.opt
	rm -f proxy_engine proxy_engine.opt file_reactor file_mt_reactor 
	rm -f file_mt_reactor.opt file_engine netplex

=== src/cgi/Makefile ===
TOP_DIR=../..

PKGNAME = cgi
OBJECTS = 
DOBJECTS = 

DEP_FILES =

# prevent that a cma/cmxa is created:
ARCHIVE_CMA =
ARCHIVE_CMXA =

include $(TOP_DIR)/Makefile.rules

=== src/equeue-gtk1/Makefile ===
TOP_DIR=../..

include ./Makefile.gtk
# Sets GTK_PKG, GTK_VERSION, ARCHIVE, FL_NAME

PKGNAME = $(FL_NAME)
OBJECTS = uq_gtk.cmo
DOBJECTS = uq_gtk.mli

INCLUDES += $(INC_EQUEUE)

PP_OPTIONS = -syntax camlp4o -package camlp4.macro $(GTK_DEFINES)

include $(TOP_DIR)/Makefile.rules

REQUIRES += $(GTK_PKG)
GTK_DEFINES += -ppopt -D$(GTK_VERSION)

include depend

=== src/equeue-ssl/Makefile ===
TOP_DIR=../..

PKGNAME  = equeue-ssl
ARCHIVE  = equeue_ssl
OBJECTS  = ssl_exts.cmo uq_ssl.cmo
DOBJECTS = uq_ssl.mli
COBJECTS = ssl_exts_stubs.o

INCLUDES += $(INC_EQUEUE)

include $(TOP_DIR)/Makefile.rules

REQUIRES += unix ssl

include depend

=== src/equeue-tcl/Makefile ===
TOP_DIR=../..

PKGNAME  = equeue-tcl
ARCHIVE  = equeue_tcl
OBJECTS  = uq_tcl.cmo
DOBJECTS = uq_tcl.mli
COBJECTS = tclqueue.o

LINK_OPTIONS = $(EQUEUE_TCL_LIBS)
CC_OPTIONS = $(EQUEUE_TCL_DEFS)

INCLUDES += $(INC_EQUEUE)

include $(TOP_DIR)/Makefile.rules

include depend

=== src/equeue/Makefile ===
TOP_DIR=../..

PKGNAME = equeue
OBJECTS = equeue.cmo unixqueue.cmo uq_engines.cmo uq_socks5.cmo
DOBJECTS = equeue.mli unixqueue.mli uq_engines.mli uq_socks5.mli \
           unixqueue_mt.mli equeue_intro.txt

ALLMT_EXTRA = unixqueue_mt.cmo
OPTMT_EXTRA = unixqueue_mt.cmx

OCAMLC_OPTIONS_FOR_unixqueue_mt.ml = $(THREAD)
OCAMLOPT_OPTIONS_FOR_unixqueue_mt.ml = $(THREAD)

INCLUDES += $(INC_NETSYS)

include $(TOP_DIR)/Makefile.rules

include depend

=== src/netcgi1/Makefile ===
TOP_DIR=../..

PKGNAME  = cgi
OBJECTS  = netcgi_env.cmo netcgi_types.cmo netcgi.cmo \
	   netcgi_jserv.cmo netcgi_jserv_ajp12.cmo \
	   netcgi_jserv_app.cmo netcgi_fcgi_10.cmo \
	   netcgi_fcgi.cmo netcgi1_compat.cmo

DOBJECTS = netcgi_env.mli netcgi_types.mli netcgi.mli \
	   netcgi_jserv.mli netcgi_jserv_ajp12.mli netcgi_jserv_app.mli \
	   netcgi_fcgi_10.mli netcgi_fcgi.mli netcgi1_compat.mli

INCLUDES += $(INC_NETSTRING) $(INC_NETSYS)

include $(TOP_DIR)/Makefile.rules

include depend

=== src/netcgi2-plex/Makefile ===
TOP_DIR=../..

PKGNAME  = netcgi2-plex
OBJECTS  = netcgi_plex.cmo
DOBJECTS = netcgi_plex.mli

INCLUDES += -I ../netcgi2 -I ../netplex

include $(TOP_DIR)/Makefile.rules

include depend

=== src/netclient/Makefile ===
TOP_DIR=../..

PKGNAME = netclient
OBJECTS =  http_client.cmo telnet_client.cmo \
	   ftp_data_endpoint.cmo ftp_client.cmo
DOBJECTS = http_client.mli telnet_client.mli \
	   ftp_data_endpoint.mli ftp_client.mli

ALLMT_EXTRA = http_client_mt.cmo
OPTMT_EXTRA = http_client_mt.cmx

OCAMLC_OPTIONS_FOR_http_client_mt.ml = $(THREAD)
OCAMLOPT_OPTIONS_FOR_http_client_mt.ml = $(THREAD)

INCLUDES = $(INC_EQUEUE) $(INC_NETSTRING) $(INC_NETSYS)

include $(TOP_DIR)/Makefile.rules

include depend

=== src/nethttpd-for-netcgi1/Makefile ===
TOP_DIR=../..

PKGNAME  = nethttpd-for-netcgi1
OBJECTS  = nethttpd_types.cmo nethttpd_kernel.cmo nethttpd_reactor.cmo \
	  nethttpd_engine.cmo nethttpd_services.cmo nethttpd_plex.cmo

DOBJECTS = nethttpd_types.mli nethttpd_kernel.mli nethttpd_reactor.mli \
	  nethttpd_engine.mli nethttpd_services.mli nethttpd_plex.mli

INCLUDES += $(INC_EQUEUE) $(INC_NETSTRING) $(INC_NETCGI1) $(INC_NETPLEX)
PP_OPTIONS = -package "camlp4, camlp4.macro" -syntax "camlp4o"

#PP_OPTIONS_FINDLIB += -ppopt "-DTesting"
# do this to enable test coverage calculations

include $(TOP_DIR)/Makefile.rules

include depend

=== src/nethttpd-for-netcgi2/Makefile ===
TOP_DIR=../..

PKGNAME  = nethttpd-for-netcgi2
OBJECTS  = nethttpd_types.cmo nethttpd_kernel.cmo nethttpd_reactor.cmo \
	  nethttpd_engine.cmo nethttpd_services.cmo nethttpd_plex.cmo

DOBJECTS = nethttpd_types.mli nethttpd_kernel.mli nethttpd_reactor.mli \
	  nethttpd_engine.mli nethttpd_services.mli nethttpd_plex.mli \
	  nethttpd_intro.txt

INCLUDES += $(INC_EQUEUE) $(INC_NETSTRING) $(INC_NETCGI2) $(INC_NETPLEX)
PP_OPTIONS = -package "camlp4, camlp4.macro" -syntax "camlp4o"

#PP_OPTIONS_FINDLIB += -ppopt "-DTesting"
# do this to enable test coverage calculations

include $(TOP_DIR)/Makefile.rules

include depend

=== src/nethttpd/Makefile ===
TOP_DIR=../..

PKGNAME	= nethttpd
ARCHIVE = nethttpd
OBJECTS =
DOBJECTS =

DEP_FILES =

# prevent that a cma/cmxa is created:
ARCHIVE_CMA =
ARCHIVE_CMXA =

include $(TOP_DIR)/Makefile.rules

=== debian/changelog ===
ocamlnet (2.2.9-8build2) oneiric; urgency=low

  * Rebuild to pick up ocaml fixes on armel.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 24 Aug 2011 16:35:07 -0600

ocamlnet (2.2.9-8build1) oneiric; urgency=low

  * Rebuild for OCaml 3.12.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 May 2011 08:36:06 +0100

ocamlnet (2.2.9-8) unstable; urgency=low

  * debian/control:
    - move libapache2-mod-ocamlnet to section httpd
    - remove Stefano from Uploaders
    - bump Standards-Version to 3.8.4 (no changes)
  * Add 0012-Use-OCaml-version-to-guess-str-stubs-link-options.patch
    (Closes: #580093)
  * Reformat debian/NEWS to please Lintian

 -- Stéphane Glondu <glondu@debian.org>  Mon, 03 May 2010 20:47:39 +0200

ocamlnet (2.2.9-7) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * debian/copyright: point to GPL-2 under /usr/share/common-licenses/

  [ Stephane Glondu ]
  * Switch packaging to dh-ocaml 0.9 (Closes: #549849)
  * Add README.source
  * debian/control:
    - add myself to Uploaders
    - move to section ocaml
    - update Standards-Version to 3.8.3
  * Add Lintian override for RPATH in mod_netcgi_apache.so

 -- Stéphane Glondu <glondu@debian.org>  Tue, 06 Oct 2009 16:35:12 +0200

ocamlnet (2.2.9-6) unstable; urgency=low

  * uploading to unstable
  * debian/*.in: avoid using @OCamlABI@ for dir path and explicit
    "stublibs/"
  * debian/rules:
    - use ocamldoc-apiref-config from /usr/share/ocaml/
    - use ocaml.mk as a CDBS "rules" rather than a CDBS "class"
  * debian/control:
    - bump dependency on dh-ocaml to >= 0.4, to avoid buggy clean
    - drop obsolete versioned build-deps
    - switch build dep from camlp5 to camlp4, now we built against that
    - tigthen build-deps on ocaml libs to induce dep-waits
  * debian/*.install.in: avoid specifying debian/tmp/ (is default now)
  * debian/patches/*
    - add patch camlp4-workarounds (thanks Fedora!) to avoid stumbling
      upon a camlp4 regression
    - disable patches to build against camlp5: build_w_camlp5,
      camlp5_5_alias_pat. Now ocamlnet can be built using camlp4
    - add patch enable_struct_ucred to make 'struct ucred' from
      <sys/socket.h> visible (requires GNU extensions) (Closes: #517319)

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 28 Feb 2009 11:38:08 +0100

ocamlnet (2.2.9-5) experimental; urgency=low

  [ Stefano Zacchiroli ]
  * rebuild against OCaml 3.11: stricten build-dep for experimental build,
    and add build-dep on dh-ocaml (which now ships the CDBS class)
  * debian/control: remove transitional dummy packages no longer needed with
    Lenny+1; list of removed packages: libequeue-ocaml{,-dev},
    libnetclient-ocaml-dev, librpc-ocaml-dev, libequeue-gtk2-ocaml-dev
  * bump debhelper compatibility to 7 (build-dep and debian/compat)
  * relax build-dep on apache2-prefork-dev by forcing the apache major number
    to 2 instead of letting ./configure query it invoking /usr/sbin/apache2
  * remove debian/patches/00dpatch.conf, we no longer have a debian-only
    layout

  [ Stephane Glondu ]
  * Do not build rpc-auth-local on hurd-i386 (fixes FTBFS)

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 10 Feb 2009 11:10:21 +0100

ocamlnet (2.2.9-4) unstable; urgency=low

  * add rpath pointing at `ocamlc -where` to the Apache module shipped by
    libapache2-mod-ocamlnet, so that libcamlrun_shared.so can be found
    (Closes: #503616)
  * fix wrong path in /etc/apache2/mods-available/netcgi_apache.load, which
    inhibited proper loading of netcgi .cma library
    (also needed to fix #503616)
  * switch Vcs-* fields to the current GIT repository

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 29 Oct 2008 00:09:07 +0100

ocamlnet (2.2.9-3) unstable; urgency=medium

  [ Stephane Glondu ]
  * Update Homepage, fix watch file.

  [ Stefano Zacchiroli ]
  * add missing dep from ocamlnet-dev to cryptgps
  * move doc-base file corresponding to ocamldoc API reference (back) to
    libocamlnet-ocaml-doc; add Replaces as needed in debian/control
    (Closes: #462878)
  * bump Standards-Version to 3.8.0 (no changes needed)

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 19 Jul 2008 18:55:19 +0200

ocamlnet (2.2.9-2) unstable; urgency=medium

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir
  * close an old TODO item in debian/TODO
  * bump urgency for the OCaml 3.10.1 transition
  * debian/rules: fix the kfreebsd fix (avoid failing bogusly when we are not
    on a BSD arch)

  [ Stephane Glondu ]
  * Add patch configure_kfreebsd.dpatch to make configure script recognize
    GNU/kFreeBSD as FreeBSD and fix compatibility with kFreeBSD port
    (rpc-auth-local not available). (Closes: #462291)
  * Add patch fix_ssl_bindings.dpatch to fix faulty ssl bindings,
    (Closes: #450903).

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 03 Mar 2008 09:00:15 +0100

ocamlnet (2.2.9-1) unstable; urgency=low

  * new upstream release (bugfix-only release)
  * promote Homepage to a real debian/control field
  * add patch camlrun_shared to link against libcamlrun_shared, so that the
    apache module becomes PIC. Fix FTBFSs on most non-i386 archs
    (closes: #443150, #444360)
  * add patch camlp5_5_alias_pat to ensure buildability against camlp5 5.00
    (hoping it can be removed soon ...)
  * bump versioned build-dep on ocaml-nox to 3.10.0-9 (the first version
    shipping libcamlrun_shared)
  * update standards-version, no changes needed
  * setting me as an uploader and d-o-m as the maintainer
  * use ocamldoc-api-ref-config to generate the doc-base entry in debian/rules

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 29 Dec 2007 22:19:21 +0100

ocamlnet (2.2.8.1-3) experimental; urgency=low

  * change the split of the netcgi2 Apache connector: the OCaml development
    libraries are now in libocamlnet-ocaml-dev while the Apache module is
    alone in libapache2-mod-ocamlnet. This way one can develop applications
    for the connector without having to install Apache


=== debian/control ===
Source: ocamlnet
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>> 7),
 cdbs,
 dh-ocaml (>= 0.9),
 ocaml-nox (>= 3.11.1-3~),
 camlp4 (>= 3.11.1-3~),
 ocaml-findlib (>= 1.2.5),
 libpcre-ocaml-dev (>= 6.0.1-2~),
 liblablgtk2-ocaml-dev (>= 2.12.0-4~),
 libcryptgps-ocaml-dev (>= 0.2.1-7~),
 libssl-ocaml-dev (>= 0.4.3-3~),
 apache2-prefork-dev
Standards-Version: 3.8.4
Homepage: http://projects.camlcity.org/projects/ocamlnet.html
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocamlnet.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocamlnet.git

Package: libocamlnet-ocaml-dev
Architecture: any
Depends:
 ocaml-findlib,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Recommends:
 libocamlnet-ocaml-doc,
 libnethttpd-ocaml-dev
Provides:
 libequeue-ocaml-dev,
 libnetclient-ocaml-dev,
 librpc-ocaml-dev,
 ${ocaml:Provides}
Replaces: libequeue-ocaml-dev (<< 2.2.3-1), libnetclient-ocaml-dev (<< 2.2.3-1), librpc-ocaml-dev (<< 2.2.3-1)
Conflicts: libequeue-ocaml-dev (<< 2.2.3-1), libnetclient-ocaml-dev (<< 2.2.3-1), librpc-ocaml-dev (<< 2.2.3-1)
Description: OCaml application-level Internet libraries - core development libraries
 Ocamlnet is a collection of OCaml libraries focusing focus on
 application-level Internet protocols and conventions.
 .
 Ocamlnet consists of the following libraries:
  * netstring: processing of strings that occur in network context
  * netcgi1 and netcgi2: portable web applications
  * nethttpd: is a web server component (HTTP server implementation)
  * netplex: generic server framework
  * rpc: OncRPC implementation
  * netclient: clients for HTTP, FTP, and Telnet
  * equeue: event queue used for many protocol implementations
  * shell: external commands invocation
  * netshm: shared memory for IPC purposes
  * netsys: bindings for system functions
  * smtp and pop: two further client implementations
 .
 A number of ideas and concepts are used throughout the libraries:
  * netchannels are a way to abstract sequential I/O channels
  * event queues provided by equeue and unixqueue make asynchronous
    protocol interpreters possible
 .
 This package contains the development stuff you need to use the core
 Ocamlnet libraries in your programs. The following libraries are
 packaged separately: SSL-related libraries (libocamlnet-ssl-ocaml-dev),
 GTK-related libraries (libocamlnet-gtk2-ocaml-dev), nethttpd
 (libnethttpd-ocaml-dev). The netcgi2 Apache connector is also part of
 this package; to run applications built for that connector you will
 need the mod_netcgi_apache Apache module (libapache2-mod-ocamlnet).

Package: libocamlnet-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides:
 libequeue-ocaml,
 ${ocaml:Provides}
Replaces: libequeue-ocaml (<< 2.2.3-1)
Conflicts: libequeue-ocaml (<< 2.2.3-1)
Description: OCaml application-level Internet libraries - core runtime libraries
 Ocamlnet is a collection of OCaml libraries focusing focus on
 application-level Internet protocols and conventions.
 .
 Ocamlnet consists of the following libraries:
  * netstring: processing of strings that occur in network context
  * netcgi1 and netcgi2: portable web applications
  * nethttpd: is a web server component (HTTP server implementation)
  * netplex: generic server framework
  * rpc: OncRPC implementation
  * netclient: clients for HTTP, FTP, and Telnet
  * equeue: event queue used for many protocol implementations
  * shell: external commands invocation
  * netshm: shared memory for IPC purposes
  * netsys: bindings for system functions
  * smtp and pop: two further client implementations
 .
 A number of ideas and concepts are used throughout the libraries:
  * netchannels are a way to abstract sequential I/O channels
  * event queues provided by equeue and unixqueue make asynchronous
    protocol interpreters possible
 .
 This package contains only the shared runtime stub libraries for the
 core Ocamlnet libraries. Stub libraries for SSL-related components are
 available in the libocamlnet-ssl-ocaml-dev package.

Package: libocamlnet-ocaml-bin
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: libocamlnet-ocaml-dev
Replaces: librpc-ocaml-dev (<< 2.2.3-1)
Conflicts: librpc-ocaml-dev (<< 2.2.3-1)
Description: OCaml application-level Internet libraries - binaries
 Ocamlnet is a collection of OCaml libraries focusing focus on
 application-level Internet protocols and conventions.
 .
 Ocamlnet consists of the following libraries:
  * netstring: processing of strings that occur in network context
  * netcgi1 and netcgi2: portable web applications
  * nethttpd: is a web server component (HTTP server implementation)
  * netplex: generic server framework
  * rpc: OncRPC implementation
  * netclient: clients for HTTP, FTP, and Telnet
  * equeue: event queue used for many protocol implementations
  * shell: external commands invocation
  * netshm: shared memory for IPC purposes
  * netsys: bindings for system functions
  * smtp and pop: two further client implementations
 .
 A number of ideas and concepts are used throughout the libraries:
  * netchannels are a way to abstract sequential I/O channels
  * event queues provided by equeue and unixqueue make asynchronous
    protocol interpreters possible
 .
 This package contains the binaries ocamlrpcgen (a helper for creating
 RPC stubs) and netplex-admin (generic administration tool for netplex
 systems).

Package: libocamlnet-gtk2-ocaml-dev
Architecture: any
Depends:
 ocaml-findlib,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: libocamlnet-ocaml-doc
Provides:
 libequeue-gtk2-ocaml-dev,
 ${ocaml:Provides}
Replaces: libequeue-gtk2-ocaml-dev (<< 2.2.3-1)
Conflicts: libequeue-gtk2-ocaml-dev (<< 2.2.3-1)
Description: OCaml application-level Internet libraries - GTK2 development libraries
 Ocamlnet is a collection of OCaml libraries focusing focus on
 application-level Internet protocols and conventions.
 .
 Ocamlnet consists of the following libraries:
  * netstring: processing of strings that occur in network context
  * netcgi1 and netcgi2: portable web applications
  * nethttpd: is a web server component (HTTP server implementation)
  * netplex: generic server framework
  * rpc: OncRPC implementation
  * netclient: clients for HTTP, FTP, and Telnet
  * equeue: event queue used for many protocol implementations
  * shell: external commands invocation
  * netshm: shared memory for IPC purposes
  * netsys: bindings for system functions
  * smtp and pop: two further client implementations
 .
 A number of ideas and concepts are used throughout the libraries:
  * netchannels are a way to abstract sequential I/O channels
  * event queues provided by equeue and unixqueue make asynchronous
    protocol interpreters possible
 .
 This package contains the development stuff you need to use GTK-related
 libraries of Ocamlnet in your programs.

Package: libocamlnet-ssl-ocaml-dev
Architecture: any
Depends:
 ocaml-findlib,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: libocamlnet-ocaml-doc
Description: OCaml application-level Internet libraries - SSL development libraries
 Ocamlnet is a collection of OCaml libraries focusing focus on
 application-level Internet protocols and conventions.
 .
 Ocamlnet consists of the following libraries:
  * netstring: processing of strings that occur in network context
  * netcgi1 and netcgi2: portable web applications
  * nethttpd: is a web server component (HTTP server implementation)
  * netplex: generic server framework
  * rpc: OncRPC implementation
  * netclient: clients for HTTP, FTP, and Telnet
  * equeue: event queue used for many protocol implementations
  * shell: external commands invocation
  * netshm: shared memory for IPC purposes
  * netsys: bindings for system functions
  * smtp and pop: two further client implementations
 .
 A number of ideas and concepts are used throughout the libraries:
  * netchannels are a way to abstract sequential I/O channels
  * event queues provided by equeue and unixqueue make asynchronous
    protocol interpreters possible
 .
 This package contains the development stuff you need to use SSL-related
 libraries of Ocamlnet in your programs.

Package: libocamlnet-ssl-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml application-level Internet libraries - SSL runtime libraries
 Ocamlnet is a collection of OCaml libraries focusing focus on
 application-level Internet protocols and conventions.
 .
 Ocamlnet consists of the following libraries:
  * netstring: processing of strings that occur in network context
  * netcgi1 and netcgi2: portable web applications
  * nethttpd: is a web server component (HTTP server implementation)
  * netplex: generic server framework
  * rpc: OncRPC implementation
  * netclient: clients for HTTP, FTP, and Telnet
  * equeue: event queue used for many protocol implementations
  * shell: external commands invocation
  * netshm: shared memory for IPC purposes
  * netsys: bindings for system functions
  * smtp and pop: two further client implementations
 .
 A number of ideas and concepts are used throughout the libraries:
  * netchannels are a way to abstract sequential I/O channels
  * event queues provided by equeue and unixqueue make asynchronous
    protocol interpreters possible
 .
 This package contains only the shared runtime stub libraries for the
 SSL-related libraries of Ocamlnet.

Package: libnethttpd-ocaml-dev
Architecture: any
Depends:
 ocaml-findlib,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: libocamlnet-ocaml-doc
Description: OCaml application-level Internet libraries - HTTP daemon development libraries
 Ocamlnet is a collection of OCaml libraries focusing focus on
 application-level Internet protocols and conventions.
 .
 Ocamlnet consists of the following libraries:
  * netstring: processing of strings that occur in network context
  * netcgi1 and netcgi2: portable web applications
  * nethttpd: is a web server component (HTTP server implementation)
  * netplex: generic server framework
  * rpc: OncRPC implementation
  * netclient: clients for HTTP, FTP, and Telnet
  * equeue: event queue used for many protocol implementations
  * shell: external commands invocation
  * netshm: shared memory for IPC purposes
  * netsys: bindings for system functions
  * smtp and pop: two further client implementations
 .
 A number of ideas and concepts are used throughout the libraries:
  * netchannels are a way to abstract sequential I/O channels
  * event queues provided by equeue and unixqueue make asynchronous
    protocol interpreters possible
 .
 This package contains the development stuff you need to use the
 nethttpd library in your programs.

Package: libapache2-mod-ocamlnet
Architecture: any
Section: httpd
Depends:
 apache2.2-common,
 libocamlnet-ocaml-dev (= ${binary:Version}),
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
# This package contains only an Apache module, dh_ocaml doesn't work on it!
Description: OCaml application-level Internet libraries - netcgi2 Apache2 connector
 Ocamlnet is a collection of OCaml libraries focusing focus on
 application-level Internet protocols and conventions.
 .
 Ocamlnet consists of the following libraries:
  * netstring: processing of strings that occur in network context
  * netcgi1 and netcgi2: portable web applications
  * nethttpd: is a web server component (HTTP server implementation)
  * netplex: generic server framework
  * rpc: OncRPC implementation
  * netclient: clients for HTTP, FTP, and Telnet
  * equeue: event queue used for many protocol implementations
  * shell: external commands invocation
  * netshm: shared memory for IPC purposes

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/ocaml.mk
include /usr/share/cdbs/1/class/makefile.mk

PKGNAME = libocamlnet-ocaml-dev

DESTDIR = $(CURDIR)/debian/tmp
OCAMLFIND_DESTDIR = $(DESTDIR)$(OCAML_STDLIB_DIR)

DEB_MAKE_CLEAN_TARGET = distclean
DEB_MAKE_BUILD_TARGET = all
DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(DESTDIR) OCAMLFIND_DESTDIR=$(OCAMLFIND_DESTDIR)

ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
DEB_MAKE_BUILD_TARGET += opt
endif

DEB_DH_COMPRESS_ARGS = -X.ml
# OCaml custom bytecode binaries can't be striped
DEB_STRIP_EXCLUDE += usr/bin/netplex-admin
DEB_STRIP_EXCLUDE += usr/bin/ocamlrpcgen

# For Debian GNU/kFreeBSD and GNU/Hurd ports
NO_RPC_AUTH_LOCAL  = $(findstring freebsd,$(DEB_HOST_ARCH))
NO_RPC_AUTH_LOCAL += $(findstring hurd,$(DEB_HOST_ARCH))

CFGFLAGS =
CFGFLAGS += -enable-gtk2 -enable-ssl
CFGFLAGS += -with-nethttpd -prefer-netcgi2 -with-rpc-auth-dh
CFGFLAGS += -bindir /usr/bin -datadir /usr/share/ocamlnet
CFGFLAGS += -enable-apache -apache /usr/sbin/apache2 -apxs /usr/bin/apxs2

configure/$(PKGNAME):: debian/configure-stamp
debian/configure-stamp:
	./configure $(CFGFLAGS)
ifneq "" "$(NO_RPC_AUTH_LOCAL)"
	sed -i -n '/rpc.auth.local/!p' debian/*.install
endif
	touch debian/configure-stamp
clean::
	rm -f debian/configure-stamp
	rm -Rf src/netcgi2-apache/.libs/

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://download.camlcity.org/download/ocamlnet-(.*)\.tar\.gz

## ocamlnet 3.4.1

=== src/equeue/Makefile ===
TOP_DIR=../..

PKGNAME = equeue
OBJECTS = equeue.cmo unixqueue_util.cmo unixqueue_pollset.cmo \
          unixqueue_select.cmo unixqueue.cmo \
	  uq_resolver.cmo \
          uq_engines.cmo uq_socks5.cmo uq_io.cmo uq_lwt.cmo \
	  uq_libevent.cmo
DOBJECTS = equeue.mli unixqueue.mli unixqueue_pollset.mli \
           unixqueue_select.mli \
	   uq_resolver.mli \
           uq_engines.mli uq_socks5.mli uq_io.mli uq_lwt.mli \
	   uq_libevent.mli \
           equeue_intro.txt

INCLUDES += $(INC_NETSYS)
INCLUDES += $(INC_NETSTRING)

include $(TOP_DIR)/Makefile.rules

include depend

=== src/netplex/Makefile ===
TOP_DIR=../..

PKGNAME  = netplex
OBJECTS  = netplex_ctrl_aux.cmo netplex_ctrl_clnt.cmo netplex_ctrl_srv.cmo \
           netplex_util.cmo netplex_encap.cmo \
	   netplex_cenv.cmo netplex_mp.cmo netplex_mt.cmo netplex_log.cmo \
           netplex_container.cmo netplex_sockserv.cmo netplex_workload.cmo \
	   netplex_kit.cmo netplex_controller.cmo \
           netplex_config.cmo netplex_main.cmo rpc_netplex.cmo \
           netplex_semaphore.cmo netplex_sharedvar.cmo netplex_mutex.cmo
DOBJECTS = netplex_types.mli netplex_mp.mli netplex_mt.mli netplex_log.mli \
	   netplex_controller.mli netplex_container.mli \
	   netplex_sockserv.mli netplex_workload.mli netplex_main.mli \
	   netplex_config.mli netplex_kit.mli rpc_netplex.mli \
	   netplex_cenv.mli netplex_semaphore.mli netplex_sharedvar.mli \
	   netplex_mutex.mli netplex_encap.mli \
	   netplex_intro.txt netplex_advanced.txt netplex_admin.txt

INCLUDES += $(INC_EQUEUE) $(INC_RPC) $(INC_NETSTRING) $(INC_NETSYS)

ALL_EXTRA = netplex-admin$(EXEC_SUFFIX) netplex-packlist 

PP_OPTIONS = -syntax camlp4o -package camlp4

PACKLIST = netplex-packlist

include $(TOP_DIR)/Makefile.rules

netplex-admin$(EXEC_SUFFIX): netplex.cma netplex_admin.cmo
	$(OCAMLC) -o netplex-admin -custom \
		unix.cma bigarray.cma \
		netsys_oothr.cma netsys.cma equeue.cma netstring.cma \
		rpc.cma netplex.cma netplex_admin.cmo

netplex-packlist:
	echo $(BINDIR)/netplex-admin >netplex-packlist

include depend

=== src/netsys/Makefile ===
TOP_DIR=../..

include $(TOP_DIR)/Makefile.conf
include Makefile.conf

PKGNAME  = netsys
OBJECTS  = netsys_conf.cmo netsys_types.cmo \
           netlog.cmo netexn.cmo netsys_impl_util.cmo \
	   netsys_signal.cmo \
	   netsys_posix.cmo netsys_win32.cmo netsys.cmo \
	   netsys_rng.cmo \
	   netsys_pollset.cmo netsys_pollset_posix.cmo \
	   netsys_pollset_win32.cmo netsys_pollset_generic.cmo \
	   netsys_mem.cmo netsys_xdr.cmo netsys_tmp.cmo
COBJECTS = netsys_c.o netsys_c_win32.o netsys_c_htab.o netsys_c_queue.o \
           netsys_c_mem.o netsys_c_xdr.o
DOBJECTS = netsys.mli netsys_posix.mli netsys_pollset.mli netlog.mli \
           netexn.mli netsys_win32.mli netsys_pollset_posix.mli \
           netsys_pollset_win32.mli netsys_pollset_generic.mli \
           netsys_signal.mli netsys_oothr.mli netsys_xdr.mli \
	   netsys_rng.mli \
	   netsys_types.mli netsys_mem.mli netsys_tmp.mli
LINK_OPTIONS = $(NETSYS_LINK_OPTIONS)

ALL_EXTRA = netsys_oothr.cma
ALLMT_EXTRA = netsys_oothr_mt.cma netsys_oothr_mt_init.cmo
OPT_EXTRA = netsys_oothr.cmxa netsys_c_gprof.o
OPTP_EXTRA = netsys_oothr.p.cmxa netsys_gprof_init.cmx
OPTMT_EXTRA = netsys_oothr_mt.cmxa netsys_oothr_mt_init.cmx
OPTMTP_EXTRA = netsys_oothr_mt.p.cmxa netsys_oothr_mt_init.cmx
# Note: we cannot refer here to *.p.cmx because there is no direct
# rule to build these files from .ml. They are implicitly built
# when the corresponding *.cmx (without .p) is created.

OCAMLC_OPTIONS_FOR_netsys_oothr_mt.mli = $(THREAD)
OCAMLC_OPTIONS_FOR_netsys_oothr_mt.ml = $(THREAD)
OCAMLC_OPTIONS_FOR_netsys_oothr_mt_init.mli = $(THREAD)
OCAMLC_OPTIONS_FOR_netsys_oothr_mt_init.ml = $(THREAD)
OCAMLOPT_OPTIONS_FOR_netsys_oothr_mt.ml = $(THREAD)
OCAMLOPT_OPTIONS_FOR_netsys_oothr_mt_init.ml = $(THREAD)
OCAMLC_OPTIONS_FOR_netsys_c_xdr.c = -ccopt -O

include $(TOP_DIR)/Makefile.rules

netsys_types.ml: netsys_types.mli
	echo '(* WARNING! THIS IS A COPY OF NETSYS_TYPES.MLI! *)' \
	    >netsys_types.ml
	cat netsys_types.mli >> netsys_types.ml

netsys_types.cmo: netsys_types.cmi
netsys_types.cmx: netsys_types.cmi

CLEAN_LIST += netsys_types.ml

netsys_oothr.cma: netsys_oothr.cmo
	$(OCAMLC) -o netsys_oothr.cma -a netsys_oothr.cmo

netsys_oothr.cmxa: netsys_oothr.cmx
	$(OCAMLOPT) -o netsys_oothr.cmxa -a netsys_oothr.cmx

netsys_oothr.p.cmxa: netsys_oothr.cmx
	$(OCAMLOPT) -o netsys_oothr.p.cmxa -a netsys_oothr.p.cmx

netsys_oothr_mt.cma: netsys_oothr.cmo netsys_oothr_mt.cmo
	$(OCAMLC) -o netsys_oothr_mt.cma -a \
		netsys_oothr.cmo netsys_oothr_mt.cmo

netsys_oothr_mt.cmxa: netsys_oothr.cmx netsys_oothr-$(MT_TYPE)
	$(OCAMLOPT) -o netsys_oothr_mt.cmxa -a \
		netsys_oothr.cmx netsys_oothr_mt.cmx

netsys_oothr_mt.p.cmxa: netsys_oothr.cmx netsys_oothr-$(MT_TYPE)
	$(OCAMLOPT) -o netsys_oothr_mt.p.cmxa -a \
		netsys_oothr.p.cmx netsys_oothr_mt.p.cmx

.PHONY: netsys_oothr-vm netsys_oothr-posix
netsys_oothr-vm:

netsys_oothr-posix: netsys_oothr_mt.cmx


clean::
	rm -f configtests/*.o configtests/*.err
	rm -f configtests/posix_shm

include depend

=== src/rpc-generator/Makefile ===
TOP_DIR=../..

PKGNAME  = rpc-generator
ARCHIVE  = rpc_generator
OBJECTS  = syntax.cmo options.cmo parser.cmo lexer.cmo rename.cmo \
           generate.cmo
DOBJECTS = 

ALL_EXTRA = ocamlrpcgen$(EXEC_SUFFIX) rpcgen-packlist

PACKLIST = rpcgen-packlist

#OCAMLDEP_OPTIONS = -syntax camlp4o -package camlp4.macro

INCLUDES += $(INC_NETSTRING)

include $(TOP_DIR)/Makefile.rules

ocamlrpcgen$(EXEC_SUFFIX): $(ARCHIVE).cma main.cmo
	rm -f ocamlrpcgen ocamlrpcgen$(EXEC_SUFFIX)
	OCAMLPATH=.. \
	$(OCAMLC) -custom -o ocamlrpcgen -package unix,netstring \
		$(ARCHIVE).cma main.cmo -linkpkg

rpcgen-packlist:
	echo $(BINDIR)/ocamlrpcgen >rpcgen-packlist

include depend

=== debian/changelog ===
ocamlnet (3.4.1-2build2) precise; urgency=low

  * No-change rebuild for OCaml 3.12.1.

 -- Ilya Barygin <randomaction@ubuntu.com>  Sun, 11 Dec 2011 14:30:58 +0400

ocamlnet (3.4.1-2build1) precise; urgency=low

  * Rebuild for OCaml 3.12.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 Nov 2011 13:27:32 +0000

ocamlnet (3.4.1-2) unstable; urgency=low

  * Fix FTBFS on !linux-any:
    - rpc-auth-local is available everywhere, now

 -- Stéphane Glondu <glondu@debian.org>  Thu, 03 Nov 2011 12:05:08 +0100

ocamlnet (3.4.1-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Wed, 02 Nov 2011 22:46:47 +0100

ocamlnet (3.4-1) unstable; urgency=low

  * New upstream release
    - add a new NetcgiRequire directive to ease dependency management
      (Closes: #637147)
    - remove patches that were applied upstream:
      + Added-missing-shebang-lines-in-example-shell-scripts
      + Try-also-ocamlc-for-POSIX-threads

 -- Stéphane Glondu <glondu@debian.org>  Fri, 02 Sep 2011 14:12:33 +0200

ocamlnet (3.3.5-3) unstable; urgency=low

  * Try also ocamlc for POSIX threads (fix FTBFS of ocsigen on bytecode
    architectures)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 24 Jul 2011 16:05:02 +0200

ocamlnet (3.3.5-2) unstable; urgency=low

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Sat, 23 Jul 2011 14:47:09 +0200

ocamlnet (3.3.5-1) experimental; urgency=low

  [ Stéphane Glondu ]
  * New upstream release (Closes: #634906)
    - fix handling of IPv6 litterals (Closes: #617554)
    - newly installed components: netcamlbox, netgssapi, netmulticore
  * Remove misleading debian/README.source
  * Remove ancient versioned conflicts
  * Rewrite debian/rules using dh with overrides
  * Bump debhelper compatibility level to 8
  * Bump Standards-Version to 3.9.2

  [ Eric Cooper ]
  * Don't ship *.so.owner files created by findlib

 -- Stéphane Glondu <glondu@debian.org>  Thu, 21 Jul 2011 11:09:36 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

PKGNAME = libocamlnet-ocaml-dev
DESTDIR = $(CURDIR)/debian/tmp
export OCAMLFIND_DESTDIR = $(DESTDIR)$(OCAML_STDLIB_DIR)

BUILD_TARGET = all
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
BUILD_TARGET += opt
endif

CFGFLAGS =
CFGFLAGS += -enable-gtk2 -enable-ssl
CFGFLAGS += -with-nethttpd -prefer-netcgi2 -with-rpc-auth-dh
CFGFLAGS += -bindir /usr/bin -datadir /usr/share/ocamlnet
CFGFLAGS += -enable-apache -apache /usr/sbin/apache2 -apxs /usr/bin/apxs2

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	./configure $(CFGFLAGS)

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(MAKE) $(BUILD_TARGET)

.PHONY: override_dh_auto_install
override_dh_auto_install:
	$(MAKE) install DESTDIR=$(DESTDIR)

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	dh_auto_clean
	rm -Rf src/netcgi2-apache/.libs/

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing -X.so.owner

.PHONY: override_dh_compress
override_dh_compress:
	dh_compress -X.ml

## ocamlnet 3.5.1

=== examples/camlbox/Makefile ===
all: speed manymult unimult

clean:
	rm -f *.cmi *.cmo *.cma *.cmx *.cmxa *.o *.a speed manymult unimult

speed: speed.ml
	ocamlfind ocamlopt -o speed -package netcamlbox -linkpkg speed.ml

manymult: manymult.ml
	ocamlfind ocamlopt -o manymult -package netcamlbox -linkpkg manymult.ml

unimult: unimult.ml
	ocamlfind ocamlopt -o unimult -package netcamlbox -linkpkg unimult.ml

=== src/netmulticore/Makefile ===
TOP_DIR=../..

PKGNAME  = netmulticore
OBJECTS  = netmcore.cmo netmcore_camlbox.cmo netmcore_util.cmo \
	   netmcore_mempool.cmo netmcore_heap.cmo netmcore_ref.cmo \
	   netmcore_array.cmo netmcore_sem.cmo netmcore_mutex.cmo \
	   netmcore_condition.cmo netmcore_queue.cmo netmcore_buffer.cmo \
	   netmcore_matrix.cmo netmcore_hashtbl.cmo netmcore_process.cmo
DOBJECTS = netmcore.mli netmcore_camlbox.mli netmcore_mempool.mli \
	   netmcore_heap.mli netmcore_ref.mli netmcore_array.mli \
	   netmcore_sem.mli netmcore_mutex.mli netmcore_condition.mli \
	   netmcore_queue.mli netmcore_buffer.mli netmcore_matrix.mli \
	   netmcore_hashtbl.mli netmcore_process.mli \
	   netmcore_tut.txt

INCLUDES += $(INC_EQUEUE) $(INC_RPC) $(INC_NETSTRING) $(INC_NETSYS) \
            $(INC_NETPLEX) $(INC_NETCAMLBOX)


include $(TOP_DIR)/Makefile.rules

t_toploop: t_toploop.ml $(PKGNAME).cma
	OCAMLPATH=.. \
	ocamlfind ocamlc -g -o t_toploop \
	   toplevellib.cma $(PKGNAME).cma t_toploop.ml \
	   -package "equeue,rpc,netstring,netsys,netplex,netcamlbox" \
	   -linkpkg -linkall

t_mempool: t_mempool.ml $(PKGNAME).cma
	OCAMLPATH=.. \
	ocamlfind ocamlc -g -o t_mempool \
	   $(PKGNAME).cma t_mempool.ml \
	   -package "equeue,rpc,netstring,netsys,netplex,netcamlbox" \
	   -linkpkg



include depend

=== src/netsys/Makefile ===
--- 
+++ 
@@ -12,7 +12,12 @@
 	   netsys_pollset.cmo netsys_pollset_posix.cmo \
 	   netsys_pollset_win32.cmo netsys_pollset_generic.cmo \
 	   netsys_mem.cmo netsys_xdr.cmo netsys_tmp.cmo
-COBJECTS = netsys_c.o netsys_c_win32.o netsys_c_htab.o netsys_c_queue.o \
+COBJECTS = netsys_c.o netsys_c_poll.o netsys_c_fadvise.o \
+	   netsys_c_fallocate.o netsys_c_ioprio.o netsys_c_locale.o \
+           netsys_c_multicast.o netsys_c_sem.o netsys_c_shm.o \
+           netsys_c_spawn.o netsys_c_subprocess.o netsys_c_syslog.o \
+	   netsys_c_clock.o netsys_c_event.o \
+           netsys_c_win32.o netsys_c_htab.o netsys_c_queue.o \
            netsys_c_mem.o netsys_c_xdr.o
 DOBJECTS = netsys.mli netsys_posix.mli netsys_pollset.mli netlog.mli \
            netexn.mli netsys_win32.mli netsys_pollset_posix.mli \
@@ -40,6 +45,8 @@
 OCAMLOPT_OPTIONS_FOR_netsys_oothr_mt_init.ml = $(THREAD)
 OCAMLC_OPTIONS_FOR_netsys_c_xdr.c = -ccopt -O
 
+INSTALL_EXTRA += netsys_c_event.h
+
 include $(TOP_DIR)/Makefile.rules
 
 netsys_types.ml: netsys_types.mli
@@ -51,6 +58,9 @@
 netsys_types.cmx: netsys_types.cmi
 
 CLEAN_LIST += netsys_types.ml
+
+.PHONY: cobjects
+cobjects: $(COBJECTS)
 
 netsys_oothr.cma: netsys_oothr.cmo
 	$(OCAMLC) -o netsys_oothr.cma -a netsys_oothr.cmo

=== src/netzip/Makefile ===
TOP_DIR=../..

PKGNAME = netzip
OBJECTS =  netgzip.cmo
DOBJECTS = netgzip.mli

INCLUDES = $(INC_NETSTRING)

include $(TOP_DIR)/Makefile.rules

REQUIRES += camlzip

include depend

=== src/rpc-generator/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PKGNAME  = rpc-generator
 ARCHIVE  = rpc_generator
 OBJECTS  = syntax.cmo options.cmo parser.cmo lexer.cmo rename.cmo \
-           generate.cmo
+           generate.cmo direct.cmo
 DOBJECTS = 
 
 ALL_EXTRA = ocamlrpcgen$(EXEC_SUFFIX) rpcgen-packlist
@@ -18,7 +18,7 @@
 
 ocamlrpcgen$(EXEC_SUFFIX): $(ARCHIVE).cma main.cmo
 	rm -f ocamlrpcgen ocamlrpcgen$(EXEC_SUFFIX)
-	OCAMLPATH=.. \
+	OCAMLPATH="..$(PATH_SEP)$$OCAMLPATH" \
 	$(OCAMLC) -custom -o ocamlrpcgen -package unix,netstring \
 		$(ARCHIVE).cma main.cmo -linkpkg

=== debian/changelog ===
ocamlnet (3.5.1-2) unstable; urgency=low

  * Update packaging for apache 2.4 (Closes: #666825)
    - import upstream patch to fix compilation
  * Fix incorrect use of F_SETFL with FD_CLOEXEC (Closes: #696279)
  * Force all netsys features on Linux (LP: #257524)
  * Bump debhelper compat level to 9
  * Update Vcs-* fields

 -- Stéphane Glondu <glondu@debian.org>  Wed, 05 Jun 2013 08:03:53 +0200

ocamlnet (3.5.1-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Wed, 29 Feb 2012 22:33:09 +0100

ocamlnet (3.5-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 28 Feb 2012 17:46:08 +0100

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,22 @@
 Uploaders:
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>> 7),
- cdbs,
+ debhelper (>= 9),
  dh-ocaml (>= 0.9),
+ dh-apache2,
  ocaml-nox (>= 3.11.1-3~),
  camlp4 (>= 3.11.1-3~),
  ocaml-findlib (>= 1.2.5),
+ libfindlib-ocaml-dev,
  libpcre-ocaml-dev (>= 6.0.1-2~),
  liblablgtk2-ocaml-dev (>= 2.12.0-4~),
  libcryptgps-ocaml-dev (>= 0.2.1-7~),
  libssl-ocaml-dev (>= 0.4.3-3~),
- apache2-prefork-dev
-Standards-Version: 3.8.4
+ apache2-dev
+Standards-Version: 3.9.2
 Homepage: http://projects.camlcity.org/projects/ocamlnet.html
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocamlnet.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocamlnet.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocamlnet.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocamlnet.git
 
 Package: libocamlnet-ocaml-dev
 Architecture: any
@@ -36,15 +37,13 @@
  libnetclient-ocaml-dev,
  librpc-ocaml-dev,
  ${ocaml:Provides}
-Replaces: libequeue-ocaml-dev (<< 2.2.3-1), libnetclient-ocaml-dev (<< 2.2.3-1), librpc-ocaml-dev (<< 2.2.3-1)
-Conflicts: libequeue-ocaml-dev (<< 2.2.3-1), libnetclient-ocaml-dev (<< 2.2.3-1), librpc-ocaml-dev (<< 2.2.3-1)
 Description: OCaml application-level Internet libraries - core development libraries
  Ocamlnet is a collection of OCaml libraries focusing focus on
  application-level Internet protocols and conventions.
  .
  Ocamlnet consists of the following libraries:
   * netstring: processing of strings that occur in network context
-  * netcgi1 and netcgi2: portable web applications
+  * netcgi2: portable web applications
   * nethttpd: is a web server component (HTTP server implementation)
   * netplex: generic server framework
   * rpc: OncRPC implementation
@@ -77,15 +76,13 @@
 Provides:
  libequeue-ocaml,
  ${ocaml:Provides}
-Replaces: libequeue-ocaml (<< 2.2.3-1)
-Conflicts: libequeue-ocaml (<< 2.2.3-1)
 Description: OCaml application-level Internet libraries - core runtime libraries
  Ocamlnet is a collection of OCaml libraries focusing focus on
  application-level Internet protocols and conventions.
  .
  Ocamlnet consists of the following libraries:
   * netstring: processing of strings that occur in network context
-  * netcgi1 and netcgi2: portable web applications
+  * netcgi2: portable web applications
   * nethttpd: is a web server component (HTTP server implementation)
   * netplex: generic server framework
   * rpc: OncRPC implementation
@@ -112,15 +109,13 @@
  ${shlibs:Depends},
  ${misc:Depends}
 Recommends: libocamlnet-ocaml-dev
-Replaces: librpc-ocaml-dev (<< 2.2.3-1)
-Conflicts: librpc-ocaml-dev (<< 2.2.3-1)
 Description: OCaml application-level Internet libraries - binaries
  Ocamlnet is a collection of OCaml libraries focusing focus on
  application-level Internet protocols and conventions.
  .
  Ocamlnet consists of the following libraries:
   * netstring: processing of strings that occur in network context
-  * netcgi1 and netcgi2: portable web applications
+  * netcgi2: portable web applications
   * nethttpd: is a web server component (HTTP server implementation)
   * netplex: generic server framework
   * rpc: OncRPC implementation
@@ -151,15 +146,13 @@
 Provides:
  libequeue-gtk2-ocaml-dev,
  ${ocaml:Provides}
-Replaces: libequeue-gtk2-ocaml-dev (<< 2.2.3-1)
-Conflicts: libequeue-gtk2-ocaml-dev (<< 2.2.3-1)
 Description: OCaml application-level Internet libraries - GTK2 development libraries
  Ocamlnet is a collection of OCaml libraries focusing focus on
  application-level Internet protocols and conventions.
  .
  Ocamlnet consists of the following libraries:
   * netstring: processing of strings that occur in network context
-  * netcgi1 and netcgi2: portable web applications
+  * netcgi2: portable web applications
   * nethttpd: is a web server component (HTTP server implementation)
   * netplex: generic server framework
   * rpc: OncRPC implementation
@@ -192,7 +185,7 @@
  .
  Ocamlnet consists of the following libraries:
   * netstring: processing of strings that occur in network context
-  * netcgi1 and netcgi2: portable web applications
+  * netcgi2: portable web applications
   * nethttpd: is a web server component (HTTP server implementation)
   * netplex: generic server framework
   * rpc: OncRPC implementation
@@ -224,7 +217,7 @@
  .
  Ocamlnet consists of the following libraries:
   * netstring: processing of strings that occur in network context
-  * netcgi1 and netcgi2: portable web applications
+  * netcgi2: portable web applications
   * nethttpd: is a web server component (HTTP server implementation)
   * netplex: generic server framework
   * rpc: OncRPC implementation
@@ -258,7 +251,7 @@
  .
  Ocamlnet consists of the following libraries:
   * netstring: processing of strings that occur in network context
-  * netcgi1 and netcgi2: portable web applications
+  * netcgi2: portable web applications
   * nethttpd: is a web server component (HTTP server implementation)
   * netplex: generic server framework
   * rpc: OncRPC implementation
@@ -281,7 +274,6 @@
 Architecture: any
 Section: httpd
 Depends:
- apache2.2-common,
  libocamlnet-ocaml-dev (= ${binary:Version}),
  ${ocaml:Depends},
  ${shlibs:Depends},
@@ -293,11 +285,22 @@
  .
  Ocamlnet consists of the following libraries:
   * netstring: processing of strings that occur in network context
-  * netcgi1 and netcgi2: portable web applications
-  * nethttpd: is a web server component (HTTP server implementation)
-  * netplex: generic server framework
-  * rpc: OncRPC implementation
-  * netclient: clients for HTTP, FTP, and Telnet
-  * equeue: event queue used for many protocol implementations
-  * shell: external commands invocation
-  * netshm: shared memory for IPC purposes
+  * netcgi2: portable web applications
+  * nethttpd: is a web server component (HTTP server implementation)
+  * netplex: generic server framework
+  * rpc: OncRPC implementation
+  * netclient: clients for HTTP, FTP, and Telnet
+  * equeue: event queue used for many protocol implementations
+  * shell: external commands invocation
+  * netshm: shared memory for IPC purposes
+  * netsys: bindings for system functions
+  * smtp and pop: two further client implementations
+ .
+ A number of ideas and concepts are used throughout the libraries:
+  * netchannels are a way to abstract sequential I/O channels
+  * event queues provided by equeue and unixqueue make asynchronous
+    protocol interpreters possible
+ .
+ This package contains the mod_netcgi_apache Apache module. You will
+ need this module to run web applications built using the netcgi2 Apache
+ connector of OCamlnet. With this package Apache can serve them directly

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 # -*- makefile -*-
 
 include /usr/share/ocaml/ocamlvars.mk
+
+DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
 PKGNAME = libocamlnet-ocaml-dev
 DESTDIR = $(CURDIR)/debian/tmp
@@ -19,11 +21,24 @@
 CFGFLAGS += -enable-apache -apache /usr/sbin/apache2 -apxs /usr/bin/apxs2
 
 %:
-	dh $@ --with ocaml
+	dh $@ --with ocaml,apache2
 
 .PHONY: override_dh_auto_configure
 override_dh_auto_configure:
 	./configure $(CFGFLAGS)
+ifeq ($(DEB_HOST_ARCH_OS),linux)
+# In some build environments (especially cowbuilder and Ubuntu
+# autobuilders), many netsys autotests fail even though the feature is
+# available (LP: #257524)
+	@echo
+	@echo "The following netsys features will be forced:"
+	@if grep '#undef ' src/netsys/config.h; then \
+	  sed -i 's/#undef /#define /' src/netsys/config.h; \
+	else \
+	  echo "none"; \
+	fi
+	@echo
+endif
 
 .PHONY: override_dh_auto_build
 override_dh_auto_build:
@@ -40,8 +55,12 @@
 
 .PHONY: override_dh_install
 override_dh_install:
-	dh_install --fail-missing -X.so.owner
+	dh_install --fail-missing -X.so.owner -Xmod_netcgi_apache.so
 
 .PHONY: override_dh_compress
 override_dh_compress:
 	dh_compress -X.ml
+
+.PHONY: override_dh_installchangelogs
+override_dh_installchangelogs:
+	dh_installchangelogs ChangeLog
